nav {
    display: flex;
    background-color: var(--color-bg-alt);
}

nav ul {
    font-size: large;
    margin: 0;
    padding: 0;

    display: flex;                          /* Met la liste horizontalement */
    list-style: none;                       /* Supprime les puces devant les elts des listes */
    background-color: var(--color-bg-alt)
}


nav ul li {
    position: relative;                     /* Pour que le dropdown (position: absolute) se positionne aux coins de ce bouton */
}

nav ul li a {
    display: flex;                          /* Active Flexbox a l'interieur du bouton pour gérer le texte */
    /* Centrage du texte */
    justify-content: center;
    align-items: center;
    text-align: center;

    padding: 30px 55px;                     /* Donne du volume aux boutons */
    color: var(--color-text);
    text-decoration: none;
    font-weight: bold;

    border-right: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
}

nav ul li ul.dropdown {
    width: 100%;                            /* Prend la même largeur que le parent */
    background-color: var(--color-bg-alt);
    position: absolute;                     /* Sort du flux normal du document pour etre au dessus du site : */
    display: none;                          /* Etat initial, le dropdown est invisible */
    left: 0;

    z-index: 10000;                         /* Pour etre sur que le dropdown soit au dessus des autres elements */
}

nav ul li a:hover {
    background-color: var(--color-secondary);
}

nav ul li:hover .dropdown{
    display: flex;                          /* Rend visible le dropdown */
    flex-direction: column;                 /* Empile les boutons verticalement */
}

nav ul li ul.dropdown a{
    border-top: 1px solid var(--color-text);
    border-bottom: 1px solid var(--color-text);
}

nav .inetum {
    display: flex;                          /* Active Flexbox a l'interieur du bouton pour gérer le texte */
    align-items: center;    
    justify-content: center;
    
    padding: 0 2vw; 
    background-color: #e3e7eb
}

.dropdown {
    box-shadow: 0 4px 12px 2px rgba(0, 0, 0, 0.5); /* Ajoute une ombre portée pour le dropdown */
}

nav .inetum img {
    height: 35px;
}

nav #theme-toggle {
    margin-left: auto;                      /* Pousse le bouton tout a droite */
    text-decoration: none;
    display: flex;                          /* Active Flexbox a l'interieur du bouton pour gérer le texte */
    align-items: center;    
    justify-content: center;
    
    padding: 0 2vw; 
    font-size: 3rem;
    cursor: pointer;
}